Go Down

Topic: Problema con alcune Librerie (Read 2164 times) previous topic - next topic

Puso

Aug 15, 2017, 05:20 pm Last Edit: Aug 15, 2017, 05:36 pm by Puso
Salve a Tutti

premesso che non ho scaricato nessuna libreria da internet, ma sto utilizzando solo quelle gia presenti in Arduino IDE,
 ho notato che in alcune mi da errore sia verificando lo schecth....che praticamente non ho fatto, ho solo lasciato quello base di una nuova pagina,

sia copiando uno schecth funzionante da internet

sia verificandolo per schede arduino diverse.

Ho gia letto altri forum con problemi simili al mio,ma appare solo un errore
Code: [Select]
exit status 1
Errore durante la compilazione per la scheda Arduino/Genuino Mega or Mega 2560.


se dico che ho una scheda diversa,il messaggio non cambia a parte la descrizione della scheda

non lo fa con tutte le librerie ma solo con alcune.

Ho notato che se copio il messggio di errore e lo incollo appare così

Code: [Select]
Arduino:1.8.3 (Windows Store 1.8.6.0) (Windows 10), Scheda:"Arduino/Genuino Mega or Mega 2560, ATmega2560 (Mega 2560)"

C:\Program Files\WindowsApps\ArduinoLLC.ArduinoIDE_1.8.6.0_x64__mdqgnx93n4wtt\libraries\RobotIRremote\src\IRremoteTools.cpp:5:16: error: 'TKD2' was not declared in this scope

 int RECV_PIN = TKD2; // the pin the IR receiver is connected to

                ^

exit status 1
Errore durante la compilazione per la scheda Arduino/Genuino Mega or Mega 2560.

Questo report potrebbe essere più ricco di informazioni abilitando l'opzione
"Mostra un output dettagliato durante la compilazione"
in "File -> Impostazioni"



purtroppo non so ne decifrare questo errore e neppure come risolverlo.

Ho provato pure ad installare la versione 1.8.2 ,ma non cambia nulla

Grazie in anticipo e spero che qualcuno possa aiutarmi

gpb01

#1
Aug 15, 2017, 05:38 pm Last Edit: Aug 15, 2017, 05:39 pm by gpb01
Alcuni suggerimenti ...

1. Noi consigliamo di non usare mai l'IDE che si installa dal Windows Store ... disinstallalo e rimuvi completamente qualunque directory temporanea abbia creato (... abbiamo più volte visto problemi con tale versione ::))

2. Scarica dall'apposita area Download di questo forum/sito la versione ufficiale in formato .zip e scompattala in una cartella dove hai tutti i diritti ... ti eviterà problemi futuri ...

3. Se NON sei in possesso del "Arduino Robot" (che non so neppure se sia più venduto), vai nella cartella : arduino\libraries\ e cancella la cartella "RobotIRremote" ... che tanto crea solo problemi :D

Guglielmo
Search is Your friend ... or I am Your enemy !

Puso

Guglielmo grazie ancora per la pazienza
spiegami solo una cosa prima che ti faccio impazzire per la mia ignoranza

 l'IDE l'ho scaricato dal dischetto ed il PC me lo ha messo sullo store,

quando ho scaricato da qui 1.8.2 me lo ha messo sul file (86),

è questa la differenza?

quindi posso scaricare  da qui 1.8.3

gpb01

... NON consigliamo mai di usare le versioni che si installano da sole ... purtroppo spesso vanno in conflitto con i permessi di alcune cartelle di Windows.

Quello che consigliamo sempre è di scaricare il .zip dal link che ti ho dato e scompattare la cartella in una tua cartella dove hai tutti i permessi di lettura/scrittura ... così si evitano possibili problemi con Win.

Guglielmo
Search is Your friend ... or I am Your enemy !

Puso

#4
Aug 15, 2017, 06:21 pm Last Edit: Aug 15, 2017, 06:28 pm by Puso
cosa intendi per scompattarla in una cartella dove ho tutti i diritti???

io prima avevo Windows 7 e funzionava tutto.....ed ora con sto nuovo pc dove c'è il 10 mi da un po di problemi....

nel frattempo sto scaricando in formato.Zip......ma prima di decomprimerlo vorrei capire cosa intendi per cartella dove ho tutti i diritti????

mi stai dicendo che con W10 e con ste app.......alkune cartelle non sono mie?

inoltre per decomprime il file zippato ho solo le app....posso decomprimerlo con quelle??

Puso

#5
Aug 15, 2017, 06:39 pm Last Edit: Aug 15, 2017, 07:07 pm by Puso
niente da fare
sono andato dove mi hai detto,ho scaricato la versione zip
..ora me lo ha messo in documenti ....mà è cambiato di poco

questo
Code: [Select]
Arduino:1.8.3 (Windows 10), Scheda:"Arduino/Genuino Mega or Mega 2560, ATmega2560 (Mega 2560)"

C:\Users\puso7\Documents\arduino-1.8.3-windows\arduino-1.8.3\libraries\Robot_Control\src\ArduinoRobot.cpp: In constructor 'RobotControl::RobotControl()':

C:\Users\puso7\Documents\arduino-1.8.3-windows\arduino-1.8.3\libraries\Robot_Control\src\ArduinoRobot.cpp:26:42: error: 'LCD_CS' was not declared in this scope

 RobotControl::RobotControl():Arduino_LCD(LCD_CS,DC_LCD,RST_LCD){

                                          ^

C:\Users\puso7\Documents\arduino-1.8.3-windows\arduino-1.8.3\libraries\Robot_Control\src\ArduinoRobot.cpp:26:49: error: 'DC_LCD' was not declared in this scope

 RobotControl::RobotControl():Arduino_LCD(LCD_CS,DC_LCD,RST_LCD){

                                                 ^

C:\Users\puso7\Documents\arduino-1.8.3-windows\arduino-1.8.3\libraries\Robot_Control\src\ArduinoRobot.cpp:26:56: error: 'RST_LCD' was not declared in this scope

 RobotControl::RobotControl():Arduino_LCD(LCD_CS,DC_LCD,RST_LCD){

                                                        ^

C:\Users\puso7\Documents\arduino-1.8.3-windows\arduino-1.8.3\libraries\Robot_Control\src\ArduinoRobot.cpp: In member function 'void RobotControl::begin()':

C:\Users\puso7\Documents\arduino-1.8.3-windows\arduino-1.8.3\libraries\Robot_Control\src\ArduinoRobot.cpp:36:21: error: 'MUXA' was not declared in this scope

  uint8_t MuxPins[]={MUXA,MUXB,MUXC,MUXD};

                     ^

C:\Users\puso7\Documents\arduino-1.8.3-windows\arduino-1.8.3\libraries\Robot_Control\src\ArduinoRobot.cpp:36:26: error: 'MUXB' was not declared in this scope

  uint8_t MuxPins[]={MUXA,MUXB,MUXC,MUXD};

                          ^

C:\Users\puso7\Documents\arduino-1.8.3-windows\arduino-1.8.3\libraries\Robot_Control\src\ArduinoRobot.cpp:36:31: error: 'MUXC' was not declared in this scope

  uint8_t MuxPins[]={MUXA,MUXB,MUXC,MUXD};

                               ^

C:\Users\puso7\Documents\arduino-1.8.3-windows\arduino-1.8.3\libraries\Robot_Control\src\ArduinoRobot.cpp:36:36: error: 'MUXD' was not declared in this scope

  uint8_t MuxPins[]={MUXA,MUXB,MUXC,MUXD};

                                    ^

C:\Users\puso7\Documents\arduino-1.8.3-windows\arduino-1.8.3\libraries\Robot_Control\src\ArduinoRobot.cpp:37:29: error: 'MUX_IN' was not declared in this scope

  Multiplexer::begin(MuxPins,MUX_IN,4);

                             ^

C:\Users\puso7\Documents\arduino-1.8.3-windows\arduino-1.8.3\libraries\Robot_Control\src\ArduinoRobot.cpp:40:10: error: 'BUZZ' was not declared in this scope

  pinMode(BUZZ,OUTPUT);

          ^

exit status 1
Errore durante la compilazione per la scheda Arduino/Genuino Mega or Mega 2560.

Questo report potrebbe essere più ricco di informazioni abilitando l'opzione
"Mostra un output dettagliato durante la compilazione"
in "File -> Impostazioni"



anzi sembra peggiorata la situazione

:smiley-confuse:  :smiley-confuse:  :smiley-confuse:

anche se devo ammettere che alcune librerie che prima davano errore adesso funzionano.

da quel poco che leggo decifrando a modo mio :smiley-eek-blue:  e non capendo cosa sia "/src/"sembra che siano alcune stringhe del libro in questione che provocano l'errore

quindi i libro è sbagliato

giusto???

gpb01

1. Se non possiedi un "Arduino Robot" ... allora elimina anche le altre due cartelle relative a tale oggetto ...
... Robot_Control
... Robot_Motor

2. Ma che codice stai usando sulla MEGA che ti genera tale errore? Metti il codice (... mi raccomando, come sempre, racchiuso tra i tag CODE che, in fase di edit, ti inserisce il bottone </> ... primo a sinistra).

Guglielmo
Search is Your friend ... or I am Your enemy !

Puso

#7
Aug 15, 2017, 07:22 pm Last Edit: Aug 15, 2017, 07:32 pm by Puso
Si Guglielmo la storia delle finestrelle e dei "CODE", finalmente l'ho capita,,,,,,,,ma potevi spiegarti meglio. :smiley-mr-green:  :smiley-mr-green:  :smiley-mr-green:

ora io no ho la Arduino robot...in realtà il problema è nato quando studiando come leggere il ricevitore un telecomando sul serial monitor ho capito a cosa servono le librerie,

(praticamente sono una parte di programma gia fatto,,,,,insomma la base,per poi aggiungere quello che si vuole fare), spero di aver capito bene.

ora non avendo trovato il LIBRO IRremote.h al primo tentativo,,,l'ho cercato in libreria trovandolo nel LIBRO Robot.

Questo è il codice trovato sul libro Robot IRremote
Code: [Select]
#include <IRremote.h>
#include <IRremoteInt.h>
#include <IRremoteTools.h>

#include <IRremote.h>

#include <IRremote.h>
#include <IRremoteInt.h>
#include <IRremoteTools.h>

void setup() {
  // put your setup code here, to run once:

}

void loop() {
  // put your main code here, to run repeatedly:

}


Se ho capito bene il problema sta nel fatto che nel libro Robot ci sono stringhe non compatibili con la mia scheda Mega2560

...Giusto....????

gpb01

#8
Aug 15, 2017, 07:30 pm Last Edit: Aug 15, 2017, 07:35 pm by gpb01
La libreria per il Robot NON può essere usata per altre cose ...
... se devi usare un ricevitore IR DEVI usare la libreria IRremote che installi tramite l'apposita funzione dell'IDE.

Arduino -> Menu Sketch -> Include Library -> Manage Libreries ... cerchi la IRremote e fai "install" dopo di che ... ti studi gli esempi che vengono installati tra gli esempi dell'IDE.

Guglielmo
Search is Your friend ... or I am Your enemy !

gpb01

Comunque ... vista la tua poca esperienza, ti suggerisco di cominciare con studiare QUESTO proseguire con QUESTO e acquistare qualche buon libro (es. QUESTO) ... eviterai errori grossolani ;)

Guglielmo
Search is Your friend ... or I am Your enemy !

Puso

OK...grazie per i consigli
e per la pazienza

nid69ita

cosa intendi per scompattarla in una cartella dove ho tutti i diritti???
Ti crei una bella cartella c:\Arduino     e metti il contenuto dello zip li dentro.
Ancora meglio se dentro a quella c:\Arduino crei una sottocartella  chiamata portable.   TUTTO Arduino IDE sarà cosi dentro a quella cartella, compresi i tuoi sketch/programmi, le librerie standard e quelle aggiuntive. 
my name is IGOR, not AIGOR

astrobeed

Consiglio di usare una cartella diversa per lo sketchbook, impostabile a piacere nelle preferenze del IDE, cartella in cui vanno gli sketch e, preferibilmente, tutte le librerie di terze parti.
Questo perché quando si aggiorna l'iDE, da un po di tempo escono nuove versioni abbastanza rapidamente, se non ci si ricorda di copiare il contenuto della cartella portable nella nuova installazione si perdono tutti gli sketch e le librerie installate.
Scientia potentia est

gpb01

>nid69ita, astrobeed:  ... con il massimo rispetto per Puso, ho idea che state andando un po' troppo avanti per il suo livello ... NON mi da l'idea di utente "smaliziato" che sappia giocherellare con le versioni "portable" e ciò che ne consegue ... ::)

Iniziamo a fargli avere una configurazione stabile con cui riesce a fare qualche cosa e poi, magari quando ha fatto un po' di esperienza, introduciamo nuove possibilità ;)

Guglielmo
Search is Your friend ... or I am Your enemy !

nid69ita

Guglielmo, parere mio, secondo me la portable invece è molto più semplice da gestire per un utente alle prime armi, soprattutto sotto windows che si diverte a mettere cartelle in ogni dove.  :)
my name is IGOR, not AIGOR

Go Up